! Dean Townsley 2010

module Simulation_data

  implicit none
#include "Eos.h"

  ! place to store initial data
  real, save, allocatable, dimension(:)  :: sim_dens_i, sim_temp_i, sim_he_i
  real, save  :: sim_grav
  real, save  :: sim_temp_cz_base, sim_dens_he_base, sim_temp_under, sim_y_he_under_cz
  real, save  :: sim_x_c12_cz, sim_x_c12_under, sim_x_o16_cz, sim_x_o16_under

  integer,save :: HSE_FORWARD = 1
  integer,save :: HSE_BACKWARD = 2
  integer,save :: HSE_CONSTENTR = 3
  integer,save :: HSE_CONSTTEMP = 4
  integer,save :: HSE_SETTEMP = 5

  real, save   :: sim_x0, sim_cz_base_position

  real, save   :: sim_ign_x, sim_ign_y, sim_ign_z, sim_ign_r
  real, save   :: sim_ign_temp_center, sim_ign_temp_edge

  real, save   :: sim_shk_pos_band_bot, sim_shk_pos_band_top, sim_shk_pos_temp_thresh

  ! adaptive mesh marking parameters
  real, save :: sim_refFluffDensThresh, sim_refFluffMargin
  real, save :: sim_refNogenEnucThresh, sim_refNogenMargin
  real, save :: sim_refShellHe4Abund, sim_refCoreMg24Abund
  integer, save :: sim_refFluffLevel, sim_refNogenLevel

end module Simulation_data
